Skip to content
vocapable.Docs

The post-call AI summary

GET
/v1/workspace/calls/{call_id}/summary
curl --request GET \
--url https://api.vocapable.com/v1/workspace/calls/example/summary \
--header 'Authorization: Bearer <token>'
call_id
required
Call Id
string

Successful Response

Media typeapplication/json
WorkspaceCallSummary

The post-call summary (E7-R4). status is honest: pending until the worker has produced it, skipped when the call has no transcript (with the reason).

object
call_id
required
Call Id
string
status
required
Status
string
Allowed values: pending ready failed skipped
summary
required
Any of:
string
suggested_outcome
required
Any of:
string
next_step
required
Any of:
string
callback_at
required
Any of:
string format: date-time
action_items
required
Action Items
Array<string>
sentiment
required
Any of:
string
Allowed values: positive neutral negative escalate
fields
required
Fields
Array<object>
WorkspaceSummaryField
object
name
required
Name
string
value
required
Value
string
turn_seqs
required
Turn Seqs
Array<integer>
language
required
Any of:
string
completed_at
required
Any of:
string format: date-time
reason
Any of:
string
ai_generated
Ai Generated
boolean
default: true
Example
{
"status": "pending",
"sentiment": "positive",
"ai_generated": true
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}